> For the complete documentation index, see [llms.txt](https://developers.shopbase.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.shopbase.com/build-an-app/making-your-first-request/authentication/api-access-scopes.md).

# API access scopes

&#x20;You can check your granted access scopes for an app via the AccessScope resource.

### Authenticated access scopes <a href="#authenticated-access-scopes" id="authenticated-access-scopes"></a>

Authenticated access scopes control access to resources in the REST Admin API and the GraphQL Admin API. Authenticated access is intended for interacting with a store on behalf of the merchant to perform actions such as creating products and managing discount codes.

* `read_themes`, `write_themes`\
  Access to Asset and Theme.
* `read_products`, `write_products`\
  Access to Product, Product Variant, Product Image, and Product Custom Collection.
* `read_product_listings`

  Access to Product Listing, and Collection Listing.
* `read_inventory`, `write_inventory`

  Access to Inventory Level and Inventory Item.
* `read_customers`, `write_customers`\
  Access to Customer Detail and Customer Group.
* `read_orders`, `write_orders`\
  Access to Order, Transaction and Fulfillment.
* `read_fulfillments`, `write_fulfillments`

  Access to Fulfillment Service.
* `read_script_tags`, `write_script_tags`\
  Access to Script Tag.
* `read_content`, `write_content`

  Access to Page and Redirect.
* `read_fulfillments`, `write_fulfillments`\
  Access to Fulfillment Service.
* `read_shipping`, `write_shipping`\
  Access to Carrier Service, Shipping Rate, Country and Province.
* `read_checkouts`, `write_checkouts`\
  Access to Checkouts.
* `read_price_rules`, `write_price_rules`\
  Access to Price Rules.
* `read_analytics`

  Access to Analytics.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.shopbase.com/build-an-app/making-your-first-request/authentication/api-access-scopes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
